cmake_minimum_required(VERSION 3.15)
project(rlImGui)

set(CMAKE_C_STANDARD 11)

add_library(rlImGui STATIC rlImGui.c)

set(rlImGuiHeaders
        imgui_impl_raylib.h
        rlImGui.h
        rlImGuiColors.h
)

set_target_properties(rlImGui PROPERTIES
        PUBLIC_HEADER "${rlImGuiHeaders}")
